import json, urllib.request
from datetime import datetime, timezone

marca_temporal_menor = int(datetime(2020, 5, 25).replace(tzinfo=timezone.utc).timestamp() * 1000)
marca_temporal_mayor = int(datetime(2020, 5, 29).replace(tzinfo=timezone.utc).timestamp() * 1000)

with urllib.request.urlopen("https://precios.maga.gob.gt/tool/api/v1/series/datapoint/GTM/MKT001/07133200800501600000000050131/wholesale/daily/GTQ/2/nominal/local") as json_file:
    data = json.load(json_file)
    datos = data

for d in datos['data']:
    if d[0] >= marca_temporal_menor and d[0] <= marca_temporal_mayor:
        print("Fecha: {} - Precio: {}\n".format(datetime.utcfromtimestamp(d[0]/1000).strftime('%d-%m-%Y %Z%z'), d[1]))