import json, urllib.request
from datetime import datetime, timezone

fecha_inicial = '2020-05-25'
fecha_final = '2020-05-29'

with urllib.request.urlopen("https://precios.maga.gob.gt/tool/api/v1/series/datapoint/GTM/MKT001/07133200800501600000000050131/wholesale/daily/GTQ/2/nominal/local?start-date={}&end-date={}".format(fecha_inicial, fecha_final)) as json_file:
    data = json.load(json_file)
    datos = data

for d in datos['data']:
    print("Fecha: {} - Precio: {}\n".format(datetime.utcfromtimestamp(d[0]/1000).strftime('%d-%m-%Y %Z%z'), d[1]))